summaryrefslogtreecommitdiffstats
path: root/kmail/avscripts
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commit460c52653ab0dcca6f19a4f492ed2c5e4e963ab0 (patch)
tree67208f7c145782a7e90b123b982ca78d88cc2c87 /kmail/avscripts
downloadtdepim-460c52653ab0dcca6f19a4f492ed2c5e4e963ab0.tar.gz
tdepim-460c52653ab0dcca6f19a4f492ed2c5e4e963ab0.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdepim@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'kmail/avscripts')
-rw-r--r--kmail/avscripts/Makefile.am2
-rwxr-xr-xkmail/avscripts/kmail_antivir.sh42
-rwxr-xr-xkmail/avscripts/kmail_clamav.sh53
-rwxr-xr-xkmail/avscripts/kmail_fprot.sh55
-rwxr-xr-xkmail/avscripts/kmail_sav.sh42
5 files changed, 194 insertions, 0 deletions
diff --git a/kmail/avscripts/Makefile.am b/kmail/avscripts/Makefile.am
new file mode 100644
index 00000000..1f4bfe02
--- /dev/null
+++ b/kmail/avscripts/Makefile.am
@@ -0,0 +1,2 @@
+SUBDIRS = .
+bin_SCRIPTS = kmail_clamav.sh kmail_sav.sh kmail_fprot.sh kmail_antivir.sh
diff --git a/kmail/avscripts/kmail_antivir.sh b/kmail/avscripts/kmail_antivir.sh
new file mode 100755
index 00000000..183431b5
--- /dev/null
+++ b/kmail/avscripts/kmail_antivir.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# This file is part of KMail.
+# Copyright (c) 2004 Hendrik Muhs <Hendrik.Muhs@web.de>
+#
+# KMail is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License, version 2, as
+# published by the Free Software Foundation.
+#
+# KMail is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+#
+# In addition, as a special exception, the copyright holders give
+# permission to link the code of this program with any edition of
+# the Qt library by Trolltech AS, Norway (or with modified versions
+# of Qt that use the same license as Qt), and distribute linked
+# combinations including the two. You must obey the GNU General
+# Public License in all respects for all of the code used other than
+# Qt. If you modify this file, you may extend this exception to
+# your version of the file, but you are not obligated to do so. If
+# you do not wish to do so, delete this exception statement from
+# your version.
+#
+TEMPFILE=`mktemp`
+if [ $? != 0 ] ; then
+ TEMPFILE=`mktemp /tmp/kmail.XXXXXX`
+fi
+export TEMPFILE
+cat > $TEMPFILE
+if antivir --scan-in-archive --scan-in-mbox $TEMPFILE | grep -q ALERT; then
+echo "X-Virus-Flag: yes"
+else
+echo "X-Virus-Flag: no"
+fi
+cat $TEMPFILE
+rm $TEMPFILE
diff --git a/kmail/avscripts/kmail_clamav.sh b/kmail/avscripts/kmail_clamav.sh
new file mode 100755
index 00000000..b6227b39
--- /dev/null
+++ b/kmail/avscripts/kmail_clamav.sh
@@ -0,0 +1,53 @@
+#!/bin/sh
+#
+# This file is part of KMail.
+# Copyright (c) 2004 Fred Emmott <fred87@users.sf.net>
+#
+# KMail is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License, version 2, as
+# published by the Free Software Foundation.
+#
+# KMail is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+#
+# In addition, as a special exception, the copyright holders give
+# permission to link the code of this program with any edition of
+# the Qt library by Trolltech AS, Norway (or with modified versions
+# of Qt that use the same license as Qt), and distribute linked
+# combinations including the two. You must obey the GNU General
+# Public License in all respects for all of the code used other than
+# Qt. If you modify this file, you may extend this exception to
+# your version of the file, but you are not obligated to do so. If
+# you do not wish to do so, delete this exception statement from
+# your version.
+#
+TEMPFILE=`mktemp`
+if [ $? != 0 ] ; then
+ TEMPFILE=`mktemp /tmp/kmail.XXXXXX`
+fi
+export TEMPFILE
+cat > $TEMPFILE
+
+# check for a running daemon
+if [ "`ps -eo comm|grep clamd`" = "clamd" ]; then
+ chmod a+r $TEMPFILE
+ CLAMCOMANDO="clamdscan --stdout --no-summary "
+else
+ CLAMCOMANDO="clamscan --stdout --no-summary"
+fi
+
+# analyze the message
+if $CLAMCOMANDO $TEMPFILE | grep -q FOUND; then
+ echo "X-Virus-Flag: yes"
+else
+ echo "X-Virus-Flag: no"
+fi
+
+cat $TEMPFILE
+rm $TEMPFILE
diff --git a/kmail/avscripts/kmail_fprot.sh b/kmail/avscripts/kmail_fprot.sh
new file mode 100755
index 00000000..15698e94
--- /dev/null
+++ b/kmail/avscripts/kmail_fprot.sh
@@ -0,0 +1,55 @@
+#!/bin/sh
+#
+# This file is part of KMail.
+# Copyright (c) 2004 Fred Emmott <fred87@users.sf.net>
+#
+# KMail is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License, version 2, as
+# published by the Free Software Foundation.
+#
+# KMail is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+#
+# In addition, as a special exception, the copyright holders give
+# permission to link the code of this program with any edition of
+# the Qt library by Trolltech AS, Norway (or with modified versions
+# of Qt that use the same license as Qt), and distribute linked
+# combinations including the two. You must obey the GNU General
+# Public License in all respects for all of the code used other than
+# Qt. If you modify this file, you may extend this exception to
+# your version of the file, but you are not obligated to do so. If
+# you do not wish to do so, delete this exception statement from
+# your version.
+#
+TEMPFILE=`mktemp`
+if [ $? != 0 ] ; then
+ TEMPFILE=`mktemp /tmp/kmail.XXXXXX`
+fi
+export TEMPFILE
+cat > $TEMPFILE
+f-prot -archive 3 $TEMPFILE > /dev/null
+RC=$?
+if [ $RC -eq 0 ] ; then
+ echo "X-Virus-Flag: no"
+else
+ case $RC in
+ 1 ) DESC="no - Unrecoverable error" ;;
+ 2 ) DESC="no - Selftest failed" ;;
+ 3 ) DESC="yes - Virus-infected object found" ;;
+ 4 ) DESC="no - Reserved" ;;
+ 5 ) DESC="no - Abnormal termination" ;;
+ 6 ) DESC="no - Virus was removed" ;;
+ 7 ) DESC="no - Error, out of memory" ;;
+ 8 ) DESC="yes - Something suspicious found" ;;
+ esac
+ echo "X-Virus-Flag: $DESC"
+fi
+
+cat $TEMPFILE
+rm $TEMPFILE
diff --git a/kmail/avscripts/kmail_sav.sh b/kmail/avscripts/kmail_sav.sh
new file mode 100755
index 00000000..dbb794bb
--- /dev/null
+++ b/kmail/avscripts/kmail_sav.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# This file is part of KMail.
+# Copyright (c) 2004 Fred Emmott <fred87@users.sf.net>
+#
+# KMail is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License, version 2, as
+# published by the Free Software Foundation.
+#
+# KMail is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+#
+# In addition, as a special exception, the copyright holders give
+# permission to link the code of this program with any edition of
+# the Qt library by Trolltech AS, Norway (or with modified versions
+# of Qt that use the same license as Qt), and distribute linked
+# combinations including the two. You must obey the GNU General
+# Public License in all respects for all of the code used other than
+# Qt. If you modify this file, you may extend this exception to
+# your version of the file, but you are not obligated to do so. If
+# you do not wish to do so, delete this exception statement from
+# your version.
+#
+TEMPFILE=`mktemp`
+if [ $? != 0 ] ; then
+ TEMPFILE=`mktemp /tmp/kmail.XXXXXX`
+fi
+export TEMPFILE
+cat > $TEMPFILE
+if sweep -ss -mime $TEMPFILE | grep -q found; then
+echo "X-Virus-Flag: yes"
+else
+echo "X-Virus-Flag: no"
+fi
+cat $TEMPFILE
+rm $TEMPFILE